Jump to content
  • 0

hostapd fails to start after upgrade from armbian repo


rom
 Share

Question

Hello,

 

on my cubietruck, I tried to upgrade a working hostpad install with the one provided by the armbian repository.

 

After upgrade, hostapd fails to start. Is there any particular prerequisite to using the armbian version ?

 

Thanks in advance for your time.

Link to comment
Share on other sites

2 answers to this question

Recommended Posts

  • 0

I faced similar problem after update, first backup your existing binaries/configs for Hostapd

most probably hostapd has been  updated to incorrect/incompatible version, you'll probably need to compile new one using this:

 

https://forum.armbian.com/index.php/topic/136-lamobo-r1-wifi-unstable-in-ap-host-mode-better-buy-a-good-wifi-dongle-with-proper-linux-support/

 

see msg #23 from Rui Rubiero, part on hostapd

 

next, you'll be maybe better to take your critical packages on hold (I do for hostapd, see 'apt-mark -h' for usage)

 

root@lamobo-r1# apt-mark showhold
hostapd

 

Then, do updates

 

 

BR.

E.
 

Link to comment
Share on other sites

Help Armbian team helping you!

  • 0

Thanks for the advice 

 

Actually, on Cubietruck, the kernel module for the embedded AP6210 wifi chipset is "brcmfmac" but I'll probably need Rui RUBIERO's procedure if I decide to switch to an rtl819cu based chipset because brcmfmac dosen't support WPS :\ unless someone demonstrates me the contrary.

 

When I use the command "hostapd_cli wps_pbc" on cli, hostapd_cli's output seems OK :

 

Selected interface 'wlan0'
OK

but I get the following messages in syslog :

 

brcmfmac: brcmf_vif_set_mgmt_ie: vndr ie set error : -30
brcmfmac: brcmf_config_ap_mgmt_ie: Set Beacon IE Failed

 

and nothing happens. If anyone knows how to get WPS mode working with "brcmfmac"...

 

I know it isn't an hostpad issue because I've already tried with a wifi USB and WPS works but I didn't go further with the wifi USB because it wasn't stable. I think it was an rtl8191cu based chipset by the way so maybe I should try again with a compiled module !

 

Thanks
 

Link to comment
Share on other sites

Guest
This topic is now closed to further replies.
 Share

×
×
  • Create New...